<?php namespace EscapeWork\Manager\Models;

use EscapeWork\Manager\Repositories\PageRepository;
use EscapeWork\LaravelHelpers\Eloquent;

class Page extends Eloquent implements PageRepository
{

    /**
     * Table
     */
    protected $table = 'manager_pages';

    /**
     * Sluggable
     */
    protected $sluggable = true;

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id',
        'title',
        'slug'
    );

    /**
     * Page hasMany PageActions
     */
    public function actions()
    {
        return $this->hasMany('EscapeWork\Manager\Models\PageAction');
    }
}